#!/bin/bash

set -ex

# Schleife durch alle .mp3-Dateien im aktuellen Verzeichnis
for file in *.mp3; do
  # Prüfen, ob Dateien existieren
  if [[ -e "$file" ]]; then
    # Extrahiere die Teilnummer aus dem Dateinamen
    part_number=$(echo "$file" | grep -oP 'Teil \K\d+')
    
    # Überprüfe, ob eine Teilnummer gefunden wurde
    if [[ -n "$part_number" ]]; then
      # Ordnername erstellen
      folder_name="Gabriel Burns Teil $part_number"
      
      # Ordner erstellen, falls er nicht existiert
      mkdir -p "$folder_name"
      
      # Datei in den entsprechenden Ordner verschieben
      mv "$file" "$folder_name/"
      
      echo "Verschoben: $file -> $folder_name/"
    else
      echo "Warnung: Keine Teilnummer gefunden für $file"
    fi
  fi
done

echo "Alle passenden MP3-Dateien wurden verschoben."
